ChiliProject - Bug # 425: Deprecation warning when using ChiliProject with Rake 0.9

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: Libraries
Created: 2011-05-24 Assignee: Eric Davis
Updated: 2011-05-27 Due date:

Remote issue URL:
Affected version:
Description: With the relase of rake 0.9 the following syntax to define tasks with arguments has been deprecated

<pre>
task :test, :login, :needs => :environment do |task, args|
</pre>

This should now always be specified using the following syntax
<pre>

task :test, [:login] => :environment do |task, args|
</pre>

Associated revisions

2011-05-24 05:02 pm - Gregor Schmidt
[#425] Avoid deprecated API to define rake tasks with parameters

This should avoid deprecation warnings when using ChiliProject with Rake 0.9

History

2011-05-24 03:11 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmidlt)

- Status changed from Open to Ready for review

The pull request is at https://github.com/chiliproject/chiliproject/pull/65.

| have tested the updated syntax using rake 0.8.7 and everything still works as expected.

If you want to introduce this change also in 1.4, "there is a branch at my fork, that is based on
master":https://github.com/schmidt/chiliproject/tree/b/425-avoid-deprec-notation-for-rake-tasks/master.

Thanks for taking a look.

2011-05-27 03:22 pm - Eric Davis
This fix is so minor I'd say lets put it into both 2.0.0 and 1.4.0.

Thanks Gregor.

2011-05-27 04:30 pm - Eric Davis
- Assignee set to Eric Davis

- Category set to Libraries
Fixed in master along with some minor bugs | noticed in that task. Thank you for the patch Gregor.
(Tested with Rake 0.8.7)
2011-05-27 04:30 pm - Eric Davis

- Target version changed from 2.0.0 to 1.4.0

2011-05-27 04:30 pm - Eric Davis
- Status changed from Ready for review to Closed
